Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.execution.repository.impl
Interface FlowExecutionSnapshotGroup

    public interface FlowExecutionSnapshotGroup

A group of flow execution snapshots. A SPI interface that encapsulates the storage management for a group of flow execution snapshots.

Author:
  Keith Donald

Method Summary
`void` | `addSnapshot(java.io.Serializable snapshotId, FlowExecutionSnapshot snapshot)` Add a flow execution snapshot with given id to this group.
`FlowExecutionSnapshot` | `getSnapshot(java.io.Serializable snapshotId)` Returns the snapshot with the provided `id`, or `null` if no such snapshot exists with that id.
`int` | `getSnapshotCount()` Returns the count of snapshots in this group.
`java.io.Serializable` | `nextSnapshotId()` Gets the next snapshot id for new snapshot to add to this group.
`void` | `removeAllSnapshots()` Remove all snapshots in this group.
`void` | `removeSnapshot(java.io.Serializable snapshotId)` Remove the snapshot with the given id.
`void` | `updateSnapshot(java.io.Serializable snapshotId, FlowExecutionSnapshot snapshot)` Update the snapshot with the given id.

Method Detail

### getSnapshot

    FlowExecutionSnapshot getSnapshot(java.io.Serializable snapshotId)
                                      throws SnapshotNotFoundException

  Returns the snapshot with the provided `id`, or `null` if no such snapshot exists with that id.

  Parameters:
    `snapshotId` - the snapshot id
  Returns:
    the continuation
  Throws:
    `SnapshotNotFoundException` - if the id does not match a continuation in this group

### addSnapshot

    void addSnapshot(java.io.Serializable snapshotId,
                     FlowExecutionSnapshot snapshot)

  Add a flow execution snapshot with given id to this group.

  Parameters:
    `snapshotId` - the snapshot id
    `snapshot` - the snapshot

### updateSnapshot

    void updateSnapshot(java.io.Serializable snapshotId,
                        FlowExecutionSnapshot snapshot)

  Update the snapshot with the given id. Does nothing if no snapshot has been added with the id provided.

  Parameters:
    `snapshotId` - the snapshot id
    `snapshot` - the new snapshot

### removeSnapshot

    void removeSnapshot(java.io.Serializable snapshotId)

  Remove the snapshot with the given id. Does nothing if no snapshot has been added with the id provided.

  Parameters:
    `snapshotId` - the continuation id

### removeAllSnapshots

    void removeAllSnapshots()

  Remove all snapshots in this group. Does nothing if no snapshots have been added to this group.

### getSnapshotCount

    int getSnapshotCount()

  Returns the count of snapshots in this group.

### nextSnapshotId

    java.io.Serializable nextSnapshotId()

  Gets the next snapshot id for new snapshot to add to this group.

  Returns:
    the next snapshot id

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD